@import '../../../styles/variables';
@import '../../../styles/mixins';

.product {
  &__container {
  }

  &__item {
    &_domainused {
      opacity: 0.2;
      pointer-events: none;
    }
    &_box {
      margin-bottom: 1rem;
      position: relative;
      // border: 1px solid rgba(#000, .12);
      border-radius: 0.5rem;
      min-height: 100%;
      box-shadow: 0 1rem 2rem rgba(#000, 0.12);
    }

    &_content {
      padding: 0rem;
    }

    &_header {
      // border-bottom: 1px solid rgba(#000, 0.12);
      border-radius: 0.5rem 0.5rem 0 0;
      padding: 1rem;
      background-color: #20bfdd;
      color: #fff;
    }
    &_body {
      padding: 1rem;
    }

    &_billincycle {
      background-color: #52b788;
      align-self: flex-start;
      padding: 0.3rem 2rem;
      border-radius: 0.5rem;
      color: #fff;
      cursor: pointer;
      font-size: 1.3rem;
    }

    &_action {
      position: absolute;
      top: 0rem;
      right: 0.5rem;
      height: 4rem;
      display: flex;
      align-items: center;
      justify-content: center;

      &_unselected {
        position: absolute;
        top: -0.5rem;
        right: -0.5rem;
        height: 4rem;
        width: 4rem;
        display: flex;
        align-items: center;
        justify-content: center;
        background-color: #fff;
        border-radius: 2rem;
        border: 1px solid rgba(#000, 0.12);
      }
    }

    &_selected {
      background-color: #52b788;
      color: #fff;
      padding: 0rem 2rem;
      border-radius: 0.5rem;
      text-transform: uppercase;
      font-size: 1.4rem;
      margin-right: 0.2rem;
      font-weight: bold;
    }

    &_domainitemicon {
      background-color: #f1f1f1;
      height: 100%;
      border-radius: 5rem;
      padding: 0.5rem;
      margin-right: 1rem;
    }
    &_domainunselected {
      width: 3.5rem;
      height: 3.5rem;
      border-radius: 5rem;
      padding: 0.5rem;
      margin-right: 1rem;
      border: 1px solid #ccc;
      box-shadow: 0 0.1rem 1rem rgba(#000, 0.2);
      // background-color: red;
    }

    &_domain {
      border: 0.1rem solid rgba(#000, 0.12);
      border-radius: 5rem 0.5rem 0.5rem 5rem;
      padding: 0.5rem;
    }

    &_domainprice {
      display: inline-block;
      line-height: 1rem;
      background-color: #f1f1f1;
      padding: 1rem 2rem;
      text-transform: uppercase;
      border-radius: 0.5rem;
      color: #52b788;
      font-weight: 600;
      font-size: 1.3rem;
    }
  }
}

.product {
  &__list {
    width: 100%;

    @media screen and (min-width: 600px) {
      width: 70%;
    }
  }
  &__order {
    width: 30%;
    background-color: #fff;
    height: 300px;
    margin-left: 2rem;
    padding: 2rem;
    border-radius: 0.5rem;
    box-shadow: 0 0.5rem 2rem rgba(#000, 0.12);
  }
}

.product {
  &__modern {
    &_features {
      list-style-type: none;
      padding-bottom: 5rem;
      padding-left: 0;
    }

    &_action {
      position: absolute;
      bottom: 1rem;
      left: 50%;
      transform: translateX(-50%);
    }
  }
  &__standard {
    @include boxItem;

    &_container {
      min-height: 100%;
      position: relative;
      &:not(:last-child) {
        margin-right: 0.5rem;
      }
    }
    &_action {
      display: flex;
      justify-content: space-between;
      align-items: center;
      // flex-direction: column;
    }
  }
  &__config {
    &_steps {
      list-style-type: none;
      display: flex;
      justify-content: space-between;
    }
    &_stepitem {
      background-color: #e2e2e2;
      z-index: 9;
      position: relative;
      padding: 0.2rem 0.3rem;
      border-radius: 0.5rem;
    }
    &_stepicon {
      background: #fff;
      width: 30px;
      height: 30px;
      border-radius: 15px;
      color: #56565b;
    }
    &_stepcontainer {
      text-transform: capitalize;
      position: inherit;
      width: 30%;
      height: 5rem;

      &active {
        background-color: #52b788;
        color: #fff;
      }
   
    }
    &_domains,
    &_billing,
    &_addons {
      list-style-type: none;
      padding: 1.5rem 0rem;
    }
    &_domainitem,
    &_billingitem {
      @include boxItem;

      @media screen and (min-width: 1200px) {
        display: flex;
        align-items: center;
        justify-content: space-between;
      }
    }
  }
  &__price {
    margin-bottom: 0;
    margin-right: 1rem;
    padding: 0.5rem 0;
    color: $primary-color;
    text-transform: uppercase;
    font-family: 'Arial';
    font-weight: 600;
    &_container {
      // display: flex;
      // align-items: center;
      margin-bottom: 1rem;
    }
    &_billingcycle {
      display: block;
      font-size: 1.2rem;
    }
  }
}

.domain {
  &__item {
    position: relative;
    @include boxItem;
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 2rem;

    &_container {
      list-style-type: none;
      padding-left: 0;
      margin-top: 2rem;
    }
    &_content {
      flex: 1;
      width: 80%;
      line-height: 1.6rem;
      padding: 1rem 0;
    }

    &_linked {
      position: absolute;
    }

    &_btn {
      padding: 0 2rem;
      flex: 1;
    }

    &_status {
      position: absolute;
      top: 0;
      left: 1.6rem;
      text-transform: uppercase;
      font-weight: 500;
      font-size: 1rem;
    }
  }
}
